Subject: Re: bug#68235: 29.1.90; Switching tabs stops following process output in selected window

From: martin rudalics <[email-masked]>
Date: Mon, 8 Jan 2024 09:55:01 +0100

> Indeed, the difference between selected/non-selected windows is here:
 >
 > 	  /* Save w's value of point in the window configuration.  If w
 > 	     is the selected window, then get the value of point from
 > 	     the buffer; pointm is garbage in the selected window.  */

This is one difference among many.  Fset_window_configuration also deals
with the cases that the selected window and/or the current buffer
changed in between saving and restoring the configuration.

 > +      (wc-point . ,(copy-marker (window-point) window-point-insertion-type))

I didn't look but note that the window's buffer must be current here to
get the buffer-local value of 'window-point-insertion-type'.

martin